package com.gyee.wisdom.dao.windturbine;

import com.gyee.wisdom.common.data.windturbine.PowerStation;

import java.util.List;

public interface IPowerStationDao  {
    List<PowerStation> getAll();

    List<PowerStation> getListByPage(int pageIndex, int pageSize);

    PowerStation getStationById(String id);

    List<PowerStation> getStationByIdIn(String[] ids);

    void add(PowerStation newStation);

    void delete(String id);

    void   update(PowerStation station);
}
